Package org.eclipse.emf.cdo.expressions.provider

# Class ExpressionsItemProviderAdapterFactory

java.lang.Object
org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
org.eclipse.emf.cdo.expressions.util.ExpressionsAdapterFactory
org.eclipse.emf.cdo.expressions.provider.ExpressionsItemProviderAdapterFactory

All Implemented Interfaces:
  `AdapterFactory`, `ComposeableAdapterFactory`, `IChangeNotifier`, `IChildCreationExtender`, `IDisposable`

public class ExpressionsItemProviderAdapterFactory extends ExpressionsAdapterFactory implements ComposeableAdapterFactory, IChangeNotifier, IDisposable, IChildCreationExtender
This is the factory that is used to provide the interfaces needed to support Viewers. The adapters generated by this factory convert EMF adapter notifications into calls to `fireNotifyChanged`. The adapters also support Eclipse property sheets. Note that most of the adapters are shared among multiple instances.

Generated

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.emf.edit.provider.IChildCreationExtender

`IChildCreationExtender.Descriptor`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected BooleanValueItemProvider`
`booleanValueItemProvider`
This keeps track of the one adapter used for all `BooleanValue` instances.
`protected ByteValueItemProvider`
`byteValueItemProvider`
This keeps track of the one adapter used for all `ByteValue` instances.
`protected IChangeNotifier`
`changeNotifier`
This is used to implement `IChangeNotifier`.
`protected CharValueItemProvider`
`charValueItemProvider`
This keeps track of the one adapter used for all `CharValue` instances.
`protected ChildCreationExtenderManager`
`childCreationExtenderManager`
This helps manage the child creation extenders.
`protected ContainedObjectItemProvider`
`containedObjectItemProvider`
This keeps track of the one adapter used for all `ContainedObject` instances.
`protected ContextAccessItemProvider`
`contextAccessItemProvider`
This keeps track of the one adapter used for all `ContextAccess` instances.
`protected DoubleValueItemProvider`
`doubleValueItemProvider`
This keeps track of the one adapter used for all `DoubleValue` instances.
`protected FloatValueItemProvider`
`floatValueItemProvider`
This keeps track of the one adapter used for all `FloatValue` instances.
`protected FunctionInvocationItemProvider`
`functionInvocationItemProvider`
This keeps track of the one adapter used for all `FunctionInvocation` instances.
`protected IntValueItemProvider`
`intValueItemProvider`
This keeps track of the one adapter used for all `IntValue` instances.
`protected LinkedExpressionItemProvider`
`linkedExpressionItemProvider`
This keeps track of the one adapter used for all `LinkedExpression` instances.
`protected LinkedObjectItemProvider`
`linkedObjectItemProvider`
This keeps track of the one adapter used for all `LinkedObject` instances.
`protected ListConstructionItemProvider`
`listConstructionItemProvider`
This keeps track of the one adapter used for all `ListConstruction` instances.
`protected LongValueItemProvider`
`longValueItemProvider`
This keeps track of the one adapter used for all `LongValue` instances.
`protected MemberAccessItemProvider`
`memberAccessItemProvider`
This keeps track of the one adapter used for all `MemberAccess` instances.
`protected MemberInvocationItemProvider`
`memberInvocationItemProvider`
This keeps track of the one adapter used for all `MemberInvocation` instances.
`protected ComposedAdapterFactory`
`parentAdapterFactory`
This keeps track of the root adapter factory that delegates to this adapter factory.
`protected ShortValueItemProvider`
`shortValueItemProvider`
This keeps track of the one adapter used for all `ShortValue` instances.
`protected StaticAccessItemProvider`
`staticAccessItemProvider`
This keeps track of the one adapter used for all `StaticAccess` instances.
`protected StringValueItemProvider`
`stringValueItemProvider`
This keeps track of the one adapter used for all `StringValue` instances.
`protected Collection<Object>`
`supportedTypes`
This keeps track of all the supported types checked by `isFactoryForType`.

### Fields inherited from class org.eclipse.emf.cdo.expressions.util.ExpressionsAdapterFactory

`modelPackage, modelSwitch`

## Constructor Summary

Constructors
Constructor
Description
`ExpressionsItemProviderAdapterFactory()`
This constructs an instance.

## Method Summary

Modifier and Type
Method
Description
`Object`
`adapt(Object object, Object type)`
`Adapter`
`adapt(Notifier notifier, Object type)`
This implementation substitutes the factory itself as the key for the adapter.
`void`
`addListener(INotifyChangedListener notifyChangedListener)`
This adds a listener.
`Adapter`
`createBooleanValueAdapter()`
This creates an adapter for a `BooleanValue`.
`Adapter`
`createByteValueAdapter()`
This creates an adapter for a `ByteValue`.
`Adapter`
`createCharValueAdapter()`
This creates an adapter for a `CharValue`.
`Adapter`
`createContainedObjectAdapter()`
This creates an adapter for a `ContainedObject`.
`Adapter`
`createContextAccessAdapter()`
This creates an adapter for a `ContextAccess`.
`Adapter`
`createDoubleValueAdapter()`
This creates an adapter for a `DoubleValue`.
`Adapter`
`createFloatValueAdapter()`
This creates an adapter for a `FloatValue`.
`Adapter`
`createFunctionInvocationAdapter()`
This creates an adapter for a `FunctionInvocation`.
`Adapter`
`createIntValueAdapter()`
This creates an adapter for a `IntValue`.
`Adapter`
`createLinkedExpressionAdapter()`
This creates an adapter for a `LinkedExpression`.
`Adapter`
`createLinkedObjectAdapter()`
This creates an adapter for a `LinkedObject`.
`Adapter`
`createListConstructionAdapter()`
This creates an adapter for a `ListConstruction`.
`Adapter`
`createLongValueAdapter()`
This creates an adapter for a `LongValue`.
`Adapter`
`createMemberAccessAdapter()`
This creates an adapter for a `MemberAccess`.
`Adapter`
`createMemberInvocationAdapter()`
This creates an adapter for a `MemberInvocation`.
`Adapter`
`createShortValueAdapter()`
This creates an adapter for a `ShortValue`.
`Adapter`
`createStaticAccessAdapter()`
This creates an adapter for a `StaticAccess`.
`Adapter`
`createStringValueAdapter()`
This creates an adapter for a `StringValue`.
`void`
`dispose()`
This disposes all of the item providers created by this factory.
`void`
`fireNotifyChanged(Notification notification)`
This delegates to `changeNotifier` and to `parentAdapterFactory`.
`List<IChildCreationExtender>`
`getChildCreationExtenders()`
`Collection<?>`
`getNewChildDescriptors(Object object, EditingDomain editingDomain)`
`ResourceLocator`
`getResourceLocator()`
`ComposeableAdapterFactory`
`getRootAdapterFactory()`
This returns the root adapter factory that contains this factory.
`boolean`
`isFactoryForType(Object type)`
`void`
`removeListener(INotifyChangedListener notifyChangedListener)`
This removes a listener.
`void`
`setParentAdapterFactory(ComposedAdapterFactory parentAdapterFactory)`
This sets the composed adapter factory that contains this factory.

### Methods inherited from class org.eclipse.emf.cdo.expressions.util.ExpressionsAdapterFactory

`createAccessAdapter, createAdapter, createEObjectAdapter, createExpressionAdapter, createInvocationAdapter, createValueAdapter`

### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

`adaptAllNew, adaptNew, associate, createAdapter, resolve`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.common.notify.AdapterFactory

`adaptAllNew, adaptNew`

## Field Details

### parentAdapterFactory

protected ComposedAdapterFactory parentAdapterFactory
This keeps track of the root adapter factory that delegates to this adapter factory.

Generated

### changeNotifier

protected IChangeNotifier changeNotifier
This is used to implement `IChangeNotifier`.

Generated

### childCreationExtenderManager

protected ChildCreationExtenderManager childCreationExtenderManager
This helps manage the child creation extenders.

Generated

### supportedTypes

protected Collection<Object> supportedTypes
This keeps track of all the supported types checked by `isFactoryForType`.

Generated

### booleanValueItemProvider

protected BooleanValueItemProvider booleanValueItemProvider
This keeps track of the one adapter used for all `BooleanValue` instances.

Generated

### byteValueItemProvider

protected ByteValueItemProvider byteValueItemProvider
This keeps track of the one adapter used for all `ByteValue` instances.

Generated

### shortValueItemProvider

protected ShortValueItemProvider shortValueItemProvider
This keeps track of the one adapter used for all `ShortValue` instances.

Generated

### intValueItemProvider

protected IntValueItemProvider intValueItemProvider
This keeps track of the one adapter used for all `IntValue` instances.

Generated

### longValueItemProvider

protected LongValueItemProvider longValueItemProvider
This keeps track of the one adapter used for all `LongValue` instances.

Generated

### floatValueItemProvider

protected FloatValueItemProvider floatValueItemProvider
This keeps track of the one adapter used for all `FloatValue` instances.

Generated

### doubleValueItemProvider

protected DoubleValueItemProvider doubleValueItemProvider
This keeps track of the one adapter used for all `DoubleValue` instances.

Generated

### charValueItemProvider

protected CharValueItemProvider charValueItemProvider
This keeps track of the one adapter used for all `CharValue` instances.

Generated

### stringValueItemProvider

protected StringValueItemProvider stringValueItemProvider
This keeps track of the one adapter used for all `StringValue` instances.

Generated

### functionInvocationItemProvider

protected FunctionInvocationItemProvider functionInvocationItemProvider
This keeps track of the one adapter used for all `FunctionInvocation` instances.

Generated

### memberInvocationItemProvider

protected MemberInvocationItemProvider memberInvocationItemProvider
This keeps track of the one adapter used for all `MemberInvocation` instances.

Generated

### staticAccessItemProvider

protected StaticAccessItemProvider staticAccessItemProvider
This keeps track of the one adapter used for all `StaticAccess` instances.

Generated

### memberAccessItemProvider

protected MemberAccessItemProvider memberAccessItemProvider
This keeps track of the one adapter used for all `MemberAccess` instances.

Generated

### contextAccessItemProvider

protected ContextAccessItemProvider contextAccessItemProvider
This keeps track of the one adapter used for all `ContextAccess` instances.

Generated

### containedObjectItemProvider

protected ContainedObjectItemProvider containedObjectItemProvider
This keeps track of the one adapter used for all `ContainedObject` instances.

Generated

### linkedObjectItemProvider

protected LinkedObjectItemProvider linkedObjectItemProvider
This keeps track of the one adapter used for all `LinkedObject` instances.

Generated

### linkedExpressionItemProvider

protected LinkedExpressionItemProvider linkedExpressionItemProvider
This keeps track of the one adapter used for all `LinkedExpression` instances.

Generated

### listConstructionItemProvider

protected ListConstructionItemProvider listConstructionItemProvider
This keeps track of the one adapter used for all `ListConstruction` instances.

Generated

## Constructor Details

### ExpressionsItemProviderAdapterFactory

public ExpressionsItemProviderAdapterFactory()
This constructs an instance.

Generated

## Method Details

### createBooleanValueAdapter

public Adapter createBooleanValueAdapter()
This creates an adapter for a `BooleanValue`.

Overrides:
  `createBooleanValueAdapter` in class `ExpressionsAdapterFactory`
Returns:
  the new adapter.
See Also:
  - `BooleanValue`
Generated

### createByteValueAdapter

public Adapter createByteValueAdapter()
This creates an adapter for a `ByteValue`.

Overrides:
  `createByteValueAdapter` in class `ExpressionsAdapterFactory`
Returns:
  the new adapter.
See Also:
  - `ByteValue`
Generated

### createShortValueAdapter

public Adapter createShortValueAdapter()
This creates an adapter for a `ShortValue`.

Overrides:
  `createShortValueAdapter` in class `ExpressionsAdapterFactory`
Returns:
  the new adapter.
See Also:
  - `ShortValue`
Generated

### createIntValueAdapter

public Adapter createIntValueAdapter()
This creates an adapter for a `IntValue`.

Overrides:
  `createIntValueAdapter` in class `ExpressionsAdapterFactory`
Returns:
  the new adapter.
See Also:
  - `IntValue`
Generated

### createLongValueAdapter

public Adapter createLongValueAdapter()
This creates an adapter for a `LongValue`.

Overrides:
  `createLongValueAdapter` in class `ExpressionsAdapterFactory`
Returns:
  the new adapter.
See Also:
  - `LongValue`
Generated

### createFloatValueAdapter

public Adapter createFloatValueAdapter()
This creates an adapter for a `FloatValue`.

Overrides:
  `createFloatValueAdapter` in class `ExpressionsAdapterFactory`
Returns:
  the new adapter.
See Also:
  - `FloatValue`
Generated

### createDoubleValueAdapter

public Adapter createDoubleValueAdapter()
This creates an adapter for a `DoubleValue`.

Overrides:
  `createDoubleValueAdapter` in class `ExpressionsAdapterFactory`
Returns:
  the new adapter.
See Also:
  - `DoubleValue`
Generated

### createCharValueAdapter

public Adapter createCharValueAdapter()
This creates an adapter for a `CharValue`.

Overrides:
  `createCharValueAdapter` in class `ExpressionsAdapterFactory`
Returns:
  the new adapter.
See Also:
  - `CharValue`
Generated

### createStringValueAdapter

public Adapter createStringValueAdapter()
This creates an adapter for a `StringValue`.

Overrides:
  `createStringValueAdapter` in class `ExpressionsAdapterFactory`
Returns:
  the new adapter.
See Also:
  - `StringValue`
Generated

### createFunctionInvocationAdapter

public Adapter createFunctionInvocationAdapter()
This creates an adapter for a `FunctionInvocation`.

Overrides:
  `createFunctionInvocationAdapter` in class `ExpressionsAdapterFactory`
Returns:
  the new adapter.
See Also:
  - `FunctionInvocation`
Generated

### createMemberInvocationAdapter

public Adapter createMemberInvocationAdapter()
This creates an adapter for a `MemberInvocation`.

Overrides:
  `createMemberInvocationAdapter` in class `ExpressionsAdapterFactory`
Returns:
  the new adapter.
See Also:
  - `MemberInvocation`
Generated

### createStaticAccessAdapter

public Adapter createStaticAccessAdapter()
This creates an adapter for a `StaticAccess`.

Overrides:
  `createStaticAccessAdapter` in class `ExpressionsAdapterFactory`
Returns:
  the new adapter.
See Also:
  - `StaticAccess`
Generated

### createMemberAccessAdapter

public Adapter createMemberAccessAdapter()
This creates an adapter for a `MemberAccess`.

Overrides:
  `createMemberAccessAdapter` in class `ExpressionsAdapterFactory`
Returns:
  the new adapter.
See Also:
  - `MemberAccess`
Generated

### createContextAccessAdapter

public Adapter createContextAccessAdapter()
This creates an adapter for a `ContextAccess`.

Overrides:
  `createContextAccessAdapter` in class `ExpressionsAdapterFactory`
Returns:
  the new adapter.
See Also:
  - `ContextAccess`
Generated

### createContainedObjectAdapter

public Adapter createContainedObjectAdapter()
This creates an adapter for a `ContainedObject`.

Overrides:
  `createContainedObjectAdapter` in class `ExpressionsAdapterFactory`
Returns:
  the new adapter.
See Also:
  - `ContainedObject`
Generated

### createLinkedObjectAdapter

public Adapter createLinkedObjectAdapter()
This creates an adapter for a `LinkedObject`.

Overrides:
  `createLinkedObjectAdapter` in class `ExpressionsAdapterFactory`
Returns:
  the new adapter.
See Also:
  - `LinkedObject`
Generated

### createLinkedExpressionAdapter

public Adapter createLinkedExpressionAdapter()
This creates an adapter for a `LinkedExpression`.

Overrides:
  `createLinkedExpressionAdapter` in class `ExpressionsAdapterFactory`
Returns:
  the new adapter.
See Also:
  - `LinkedExpression`
Generated

### createListConstructionAdapter

public Adapter createListConstructionAdapter()
This creates an adapter for a `ListConstruction`.

Overrides:
  `createListConstructionAdapter` in class `ExpressionsAdapterFactory`
Returns:
  the new adapter.
See Also:
  - `ListConstruction`
Generated

### getRootAdapterFactory

public ComposeableAdapterFactory getRootAdapterFactory()
This returns the root adapter factory that contains this factory.

Specified by:
  `getRootAdapterFactory` in interface `ComposeableAdapterFactory`
Generated

### setParentAdapterFactory

public void setParentAdapterFactory(ComposedAdapterFactory parentAdapterFactory)
This sets the composed adapter factory that contains this factory.

Specified by:
  `setParentAdapterFactory` in interface `ComposeableAdapterFactory`
Generated

### isFactoryForType

public boolean isFactoryForType(Object type)

Specified by:
  `isFactoryForType` in interface `AdapterFactory`
Overrides:
  `isFactoryForType` in class `ExpressionsAdapterFactory`
Returns:
  whether this factory is applicable for the type of the object.
Generated

### adapt

public Adapter adapt(Notifier notifier, Object type)
This implementation substitutes the factory itself as the key for the adapter.

Specified by:
  `adapt` in interface `AdapterFactory`
Overrides:
  `adapt` in class `AdapterFactoryImpl`
Generated

### adapt

public Object adapt(Object object, Object type)

Specified by:
  `adapt` in interface `AdapterFactory`
Overrides:
  `adapt` in class `AdapterFactoryImpl`
Generated

### getChildCreationExtenders

public List<IChildCreationExtender> getChildCreationExtenders()

Generated

### getNewChildDescriptors

public Collection<?> getNewChildDescriptors(Object object, EditingDomain editingDomain)

Specified by:
  `getNewChildDescriptors` in interface `IChildCreationExtender`
Generated

### getResourceLocator

public ResourceLocator getResourceLocator()

Specified by:
  `getResourceLocator` in interface `IChildCreationExtender`
Generated

### addListener

public void addListener(INotifyChangedListener notifyChangedListener)
This adds a listener.

Specified by:
  `addListener` in interface `IChangeNotifier`
Generated

### removeListener

public void removeListener(INotifyChangedListener notifyChangedListener)
This removes a listener.

Specified by:
  `removeListener` in interface `IChangeNotifier`
Generated

### fireNotifyChanged

public void fireNotifyChanged(Notification notification)
This delegates to `changeNotifier` and to `parentAdapterFactory`.

Specified by:
  `fireNotifyChanged` in interface `IChangeNotifier`
Generated

### dispose

public void dispose()
This disposes all of the item providers created by this factory.

Specified by:
  `dispose` in interface `IDisposable`
Generated